Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util
Class SVGTypes

    java.lang.Object
      org.apache.batik.util.SVGTypes

    public abstract class SVGTypes

extends Object

Abstract class for SVG type related constants. These maybe should move into o.a.b.util.SVGConstants.

Field Summary
`static int` | `TYPE_ANGLE`
`static int` | `TYPE_ANGLE_OR_IDENT`
`static int` | `TYPE_BASELINE_SHIFT_VALUE`
`static int` | `TYPE_BOOLEAN`
`static int` | `TYPE_CDATA`
`static int` | `TYPE_CHARACTER_OR_UNICODE_RANGE_LIST`
`static int` | `TYPE_CLIP_VALUE`
`static int` | `TYPE_COLOR`
`static int` | `TYPE_CURSOR_VALUE`
`static int` | `TYPE_ENABLE_BACKGROUND_VALUE`
`static int` | `TYPE_FONT_DESCRIPTOR_SRC_VALUE`
`static int` | `TYPE_FONT_FACE_FONT_SIZE_VALUE`
`static int` | `TYPE_FONT_FAMILY_VALUE`
`static int` | `TYPE_FONT_SIZE_ADJUST_VALUE`
`static int` | `TYPE_FONT_SIZE_VALUE`
`static int` | `TYPE_FONT_VALUE`
`static int` | `TYPE_FONT_WEIGHT_VALUE`
`static int` | `TYPE_FREQUENCY`
`static int` | `TYPE_IDENT`
`static int` | `TYPE_IDENT_LIST`
`static int` | `TYPE_INTEGER`
`static int` | `TYPE_KERNING_VALUE`
`static int` | `TYPE_KEY_SPLINES_VALUE`
`static int` | `TYPE_LANG`
`static int` | `TYPE_LANG_LIST`
`static int` | `TYPE_LENGTH`
`static int` | `TYPE_LENGTH_LIST`
`static int` | `TYPE_LENGTH_LIST_OR_IDENT`
`static int` | `TYPE_LENGTH_OR_INHERIT`
`static int` | `TYPE_LINE_HEIGHT_VALUE`
`static int` | `TYPE_NUMBER`
`static int` | `TYPE_NUMBER_LIST`
`static int` | `TYPE_NUMBER_OPTIONAL_NUMBER`
`static int` | `TYPE_NUMBER_OR_INHERIT`
`static int` | `TYPE_NUMBER_OR_PERCENTAGE`
`static int` | `TYPE_PAINT`
`static int` | `TYPE_PATH_DATA`
`static int` | `TYPE_PERCENTAGE`
`static int` | `TYPE_POINTS_VALUE`
`static int` | `TYPE_PRESERVE_ASPECT_RATIO_VALUE`
`static int` | `TYPE_RECT`
`static int` | `TYPE_SPACING_VALUE`
`static int` | `TYPE_TIME`
`static int` | `TYPE_TIME_VALUE_LIST`
`static int` | `TYPE_TIMING_SPECIFIER_LIST`
`static int` | `TYPE_TRANSFORM_LIST`
`static int` | `TYPE_UNICODE_RANGE_LIST`
`static int` | `TYPE_UNKNOWN`
`static int` | `TYPE_URI`
`static int` | `TYPE_URI_LIST`
`static int` | `TYPE_URI_OR_IDENT`

Constructor Summary
`SVGTypes()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_UNKNOWN

    public static final int TYPE_UNKNOWN

See Also:
  Constant Field Values

### TYPE_INTEGER

    public static final int TYPE_INTEGER

See Also:
  Constant Field Values

### TYPE_NUMBER

    public static final int TYPE_NUMBER

See Also:
  Constant Field Values

### TYPE_LENGTH

    public static final int TYPE_LENGTH

See Also:
  Constant Field Values

### TYPE_NUMBER_OPTIONAL_NUMBER

    public static final int TYPE_NUMBER_OPTIONAL_NUMBER

See Also:
  Constant Field Values

### TYPE_ANGLE

    public static final int TYPE_ANGLE

See Also:
  Constant Field Values

### TYPE_COLOR

    public static final int TYPE_COLOR

See Also:
  Constant Field Values

### TYPE_PAINT

    public static final int TYPE_PAINT

See Also:
  Constant Field Values

### TYPE_PERCENTAGE

    public static final int TYPE_PERCENTAGE

See Also:
  Constant Field Values

### TYPE_TRANSFORM_LIST

    public static final int TYPE_TRANSFORM_LIST

See Also:
  Constant Field Values

### TYPE_URI

    public static final int TYPE_URI

See Also:
  Constant Field Values

### TYPE_FREQUENCY

    public static final int TYPE_FREQUENCY

See Also:
  Constant Field Values

### TYPE_TIME

    public static final int TYPE_TIME

See Also:
  Constant Field Values

### TYPE_NUMBER_LIST

    public static final int TYPE_NUMBER_LIST

See Also:
  Constant Field Values

### TYPE_LENGTH_LIST

    public static final int TYPE_LENGTH_LIST

See Also:
  Constant Field Values

### TYPE_IDENT

    public static final int TYPE_IDENT

See Also:
  Constant Field Values

### TYPE_CDATA

    public static final int TYPE_CDATA

See Also:
  Constant Field Values

### TYPE_LENGTH_OR_INHERIT

    public static final int TYPE_LENGTH_OR_INHERIT

See Also:
  Constant Field Values

### TYPE_IDENT_LIST

    public static final int TYPE_IDENT_LIST

See Also:
  Constant Field Values

### TYPE_CLIP_VALUE

    public static final int TYPE_CLIP_VALUE

See Also:
  Constant Field Values

### TYPE_URI_OR_IDENT

    public static final int TYPE_URI_OR_IDENT

See Also:
  Constant Field Values

### TYPE_CURSOR_VALUE

    public static final int TYPE_CURSOR_VALUE

See Also:
  Constant Field Values

### TYPE_PATH_DATA

    public static final int TYPE_PATH_DATA

See Also:
  Constant Field Values

### TYPE_ENABLE_BACKGROUND_VALUE

    public static final int TYPE_ENABLE_BACKGROUND_VALUE

See Also:
  Constant Field Values

### TYPE_TIME_VALUE_LIST

    public static final int TYPE_TIME_VALUE_LIST

See Also:
  Constant Field Values

### TYPE_NUMBER_OR_INHERIT

    public static final int TYPE_NUMBER_OR_INHERIT

See Also:
  Constant Field Values

### TYPE_FONT_FAMILY_VALUE

    public static final int TYPE_FONT_FAMILY_VALUE

See Also:
  Constant Field Values

### TYPE_FONT_FACE_FONT_SIZE_VALUE

    public static final int TYPE_FONT_FACE_FONT_SIZE_VALUE

See Also:
  Constant Field Values

### TYPE_FONT_WEIGHT_VALUE

    public static final int TYPE_FONT_WEIGHT_VALUE

See Also:
  Constant Field Values

### TYPE_ANGLE_OR_IDENT

    public static final int TYPE_ANGLE_OR_IDENT

See Also:
  Constant Field Values

### TYPE_KEY_SPLINES_VALUE

    public static final int TYPE_KEY_SPLINES_VALUE

See Also:
  Constant Field Values

### TYPE_POINTS_VALUE

    public static final int TYPE_POINTS_VALUE

See Also:
  Constant Field Values

### TYPE_PRESERVE_ASPECT_RATIO_VALUE

    public static final int TYPE_PRESERVE_ASPECT_RATIO_VALUE

See Also:
  Constant Field Values

### TYPE_URI_LIST

    public static final int TYPE_URI_LIST

See Also:
  Constant Field Values

### TYPE_LENGTH_LIST_OR_IDENT

    public static final int TYPE_LENGTH_LIST_OR_IDENT

See Also:
  Constant Field Values

### TYPE_CHARACTER_OR_UNICODE_RANGE_LIST

    public static final int TYPE_CHARACTER_OR_UNICODE_RANGE_LIST

See Also:
  Constant Field Values

### TYPE_UNICODE_RANGE_LIST

    public static final int TYPE_UNICODE_RANGE_LIST

See Also:
  Constant Field Values

### TYPE_FONT_VALUE

    public static final int TYPE_FONT_VALUE

See Also:
  Constant Field Values

### TYPE_FONT_DESCRIPTOR_SRC_VALUE

    public static final int TYPE_FONT_DESCRIPTOR_SRC_VALUE

See Also:
  Constant Field Values

### TYPE_FONT_SIZE_VALUE

    public static final int TYPE_FONT_SIZE_VALUE

See Also:
  Constant Field Values

### TYPE_BASELINE_SHIFT_VALUE

    public static final int TYPE_BASELINE_SHIFT_VALUE

See Also:
  Constant Field Values

### TYPE_KERNING_VALUE

    public static final int TYPE_KERNING_VALUE

See Also:
  Constant Field Values

### TYPE_SPACING_VALUE

    public static final int TYPE_SPACING_VALUE

See Also:
  Constant Field Values

### TYPE_LINE_HEIGHT_VALUE

    public static final int TYPE_LINE_HEIGHT_VALUE

See Also:
  Constant Field Values

### TYPE_FONT_SIZE_ADJUST_VALUE

    public static final int TYPE_FONT_SIZE_ADJUST_VALUE

See Also:
  Constant Field Values

### TYPE_LANG

    public static final int TYPE_LANG

See Also:
  Constant Field Values

### TYPE_LANG_LIST

    public static final int TYPE_LANG_LIST

See Also:
  Constant Field Values

### TYPE_NUMBER_OR_PERCENTAGE

    public static final int TYPE_NUMBER_OR_PERCENTAGE

See Also:
  Constant Field Values

### TYPE_TIMING_SPECIFIER_LIST

    public static final int TYPE_TIMING_SPECIFIER_LIST

See Also:
  Constant Field Values

### TYPE_BOOLEAN

    public static final int TYPE_BOOLEAN

See Also:
  Constant Field Values

### TYPE_RECT

    public static final int TYPE_RECT

See Also:
  Constant Field Values

Constructor Detail

### SVGTypes

    public SVGTypes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.